Homey Community Forum

Problems running app in Homey

Hi! I’m trying to create my Homey app and follwing these instructions:

When running homey app run I get this error:

✓ Pre-processing app...
✓ Running plugins...
✓ Running plugin `compose`...
✓ Plugin `compose` finished
✓ Validating app...
✓ Homey App validated successfully against level `debug`
✓ Packing Homey App...
✓ Pruning dev dependencies...
— App size: 126.5 KB
✓ Installing Homey App on `Magnus's Homey Pro` (https://192-168-50-64.homey.homeylocal.com)...
✖ Ett okänt fel har inträffat [incompatible_app_version]

I’m using a Homey pro (v5.0.0-rc.38) and node version 14.13.

What values do you use for compatibility and sdk in app.json?

  "compatibility": ">=5.0.0",
  "sdk": 3,

The error suggests that either your Homey isn’t running v5, or there’s something wrong with your app.json.